﻿using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

/// <summary>
/// Dal_Acceso: Se usa para verificar si un usuario existe o no en la Base de Datos
/// </summary>

public class Dal_Acceso
{
    private SqlConnection cnn;
    private Boolean autorizado = false;

    public Dal_Acceso()
    {
        cnn = new SqlConnection(ConfigurationManager.ConnectionStrings["DemoAcceso"].ConnectionString);
    }

    public Boolean Autorizado
    {
        get
        {
            //throw new System.NotImplementedException();
            return autorizado;
        }
    }

    public void VerificarAcceso(String usuario, String password)
    {
        try
        {
            SqlCommand cmd = new SqlCommand("usp_VerificarUsuario", cnn);
            cmd.CommandType = CommandType.StoredProcedure;

            cmd.Parameters.Add("@user", SqlDbType.NVarChar, 15);
            cmd.Parameters["@user"].Value = usuario;

            cmd.Parameters.Add("@pass", SqlDbType.NVarChar, 15);
            cmd.Parameters["@pass"].Value = password;

            cmd.Parameters.Add("@res", SqlDbType.Bit);
            cmd.Parameters["@res"].Direction = ParameterDirection.Output;

            cnn.Open();
            cmd.ExecuteNonQuery();
            autorizado = Convert.ToBoolean(cmd.Parameters["@res"].Value);
            cmd.Dispose();
            cnn.Close();
        }
        catch (Exception)
        {
            //throw new System.NotImplementedException();
            throw;
        }
    }
}